#############################################################
## Replace paths in line 8 by your working directory,      ##
## path in line 11 by your installation path of PHYLIP     ##
## and path in line 27 by the path to the seq-gen program. ##
## In paths use "\\" for "\" and "\ " for " ".             ##
#############################################################

setwd("C:\\Dokumente\ und\ Einstellungen\\dirk\\Eigene\ Dateien\\Lehre\\NJvsMPvsML")

phylip <- function(command,controlfile) {
   phylip.directory <- "C:\\Programme\\phylip-3.69"
   system(paste(phylip.directory,"\\exe\\",command,sep=""),
          input=paste(readLines(controlfile),collapse="\n"),
          invisible=TRUE)
}

extractDist <- function(file) {
  L <- readLines(file)
  n <- length(L)
  as.numeric(strsplit(L[n]," ")[[1]][2])
}

rfdist <- data.frame(numeric(0),numeric(0),numeric(0))

for(i in 1:10) {  
  
  shell("C:\\Programme\\Seq-Gen.v1.3.2\\seq-gen -mHKY -t 3 -s 0.1 -l 800 < truetree > sequences",invisible=TRUE)
  
  phylip("dnaml","dnaml.control") 
  phylip("treedist","treedist.control")
  ml <- extractDist("outfile")

  phylip("dnadist","dnadist.control")
  phylip("neighbor","neighbor.control")
  phylip("treedist","treedist.control")
  nj <- extractDist("outfile")
  
  phylip("dnapars","dnapars.control") 
  phylip("treedist","treedist.control")
  mp <- extractDist("outfile")
  rfdist <- rbind(rfdist,c(ml,nj,mp))
}

names(rfdist) <- c("ml","nj","mp")
rfdist
